API ReferenceWorkflows

Create workflow

POST
/api/v1/console/workflows

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .

In: header

Header Parameters

Idempotency-Key?string

Unique key to safely retry POST requests.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/console/workflows" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "message": "Success",  "data": {    "id": "string",    "name": "string",    "description": "string",    "category": "string",    "visibility": "private",    "is_owner": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "system_prompt": "string",    "rules": [      {        "id": "string",        "name": "string",        "trigger": "string",        "condition": "string",        "response": "string",        "action": "string",        "enabled": true      }    ],    "flows": [      {}    ],    "tags": [      "string"    ],    "prompt_config": {}  }}
{  "message": "Resource not found",  "error": "Not Found",  "code": "not_found",  "statusCode": 404,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}